%define pypi_name mistune

Name:           python-%{pypi_name}
#
# DO NOT update to 2.0.x before checking
# python-m2r / python-m2r2 supports mistune >= 2.0.0
#
Version:        2.0.4
Release:        %mkrel 1
Group:          Development/Python
Summary:        Markdown parser

License:        BSD
URL:            https://github.com/lepture/mistune
Source0:        https://pypi.io/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:  python3dist(setuptools)

%description
The fastest markdown parser in pure Python.

%package -n     python3-%{pypi_name}
Summary:        Markdown parser
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The fastest markdown parser in pure Python.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mistune

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Sat Feb 04 2023 papoteur <papoteur> 2.0.4-1.mga9
+ Revision: 1938150
- new 2.0.4

* Wed Mar 23 2022 umeabot <umeabot> 0.8.4-5.mga9
+ Revision: 1822201
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 0.8.4-4.mga9
+ Revision: 1772166
- revert to 0.8.4 version and stay there for now
- rebuild for python3.10

* Sun Feb 06 2022 wally <wally> 2.0.2-1.mga9
+ Revision: 1772154
- new version 2.0.2
- switch to pyproject build
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 0.8.4-3.mga9
+ Revision: 1702543
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.4-2.mga8
+ Revision: 1530706
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 0.8.4-1.mga8
+ Revision: 1437293
- new version 0.8.4
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 0.8.3-3.mga7
+ Revision: 1349575
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.8.3-2.mga7
+ Revision: 1289192
- Mageia 7 Mass Rebuild

* Thu Dec 28 2017 shlomif <shlomif> 0.8.3-1.mga7
+ Revision: 1186260
- New version 0.8.3

* Sat Aug 05 2017 pterjan <pterjan> 0.7.2-2.mga7
+ Revision: 1135498
- Rebuild for python 3.6

* Sat Apr 16 2016 philippem <philippem> 0.7.2-1.mga6
+ Revision: 1003087
- imported package python-mistune

